/* This file is here to prevent a file conflict on multiarch systems.  A
 * conflict will occur because apr.h has arch-specific definitions.
 *
 * DO NOT INCLUDE THE NEW FILE DIRECTLY -- ALWAYS INCLUDE THIS ONE INSTEAD. */

#if defined(__x86_64__)
#include "@@INCLUDE@@-x86_64.h"
#elif defined(__i386__)
#include "@@INCLUDE@@-i386.h"
#elif defined(__powerpc64__)
#include "@@INCLUDE@@-ppc64.h"
#elif defined(__powerpc__)
#include "@@INCLUDE@@-ppc.h"
#elif defined(__s390x__)
#include "@@INCLUDE@@-s390x.h"
#elif defined(__s390__)
#include "@@INCLUDE@@-s390.h"
#elif defined(__sparc__) && defined (__arch64__)
#include "@@INCLUDE@@-sparc64.h"
#elif defined(__sparc__)
#include "@@INCLUDE@@-sparc.h"
#else
#error "This @@PACKAGENAME@@ package does not work your architecture?"
#endif
